import Taro from '@tarojs/taro'
import AbGroupContext from '@/class/AbGroupContext'
import network from '@/class/Network'
import http from '@/http/index'
// import { changeLocalEnv } from '@/env'

class GlobalContext {
    private context = {}

    constructor() { }

    get(key) {
        return this.context[key]
    }

    set(key, val) {
        return this.context[key] = val
    }

    watch() { }

    dispatch() { }
}

export default GlobalContext

export function globalApp() {
    if (Taro.$app)
        return Taro.$app

    const originGetApp = Taro.getApp

    Taro.getApp = function (...options) {
        const app = originGetApp.apply(Taro, options)
        app.$global = Object.freeze(new GlobalContext())
        // app.$changeEnv = changeLocalEnv

        return new Proxy(app, {
            get(target, key) {
                if (target[key] != null)
                    return target[key]

                return target.$global[key]
            },
            set() {
                return false
            }
        })
    }

    Taro.$app = Taro.getApp()
    Taro.$global = Taro.$app.$global
    Taro.$http = http
    Taro.$abGroupInstance = new AbGroupContext()
    Taro.$wx = wx
    Taro.$network = network
    Taro.loginSync = loginSync

    return Taro.$app
}

function loginSync(): Promise<TaroGeneral.CallbackResult> {
    return new Promise((success, fail) => {
        Taro.login({
            success,
            fail
        })
    })
}
