export const eventId = {
    /**
     * eventId 由6位构成，由前端开发自定义
     * 前3为为小分类标记，例如页面、组件等标识
     * 100-299 视频相关
     * 300-399 小程序页面
     * 400-799 预留字段
     * 800-899 H5相关、pc站相关
     * 900-999 图片加工相关
     * 后三位为事件标记
     *
     * e.g.900001进入图片加工main页
     */

    //900+ 图片加工相关字段

    //901是首页进行的操作
    clickMakeAlbum: '901001', //点击首页做影集
    //902是制作页进行的操作
    enterMakePageFromShare1: '902001', //进入制作页(做影集)
    enterMakePageFromShare6: '902002', //进入制作页(做同款)
    makePageDrawingCompleteFromShare1: '902003', //制作页渲染完成(做影集)
    makePageDrawingCompleteFromShare6: '902004', //制作页渲染完成(做同款)
    clickSaveFromShare1: '902005', //制作页点击保存(做影集)
    clickSaveFromShare6: '902006', //制作页点击保存(做同款)
    clickShareFromShare1: '902007', //制作页点击分享(做影集)
    clickShareFromShare6: '902008', //制作页点击分享(做同款)
    //903是完成页
    enterCompletePageFromShare1: '903001', //进入完成页(做影集)
    enterCompletePageFromShare6: '903002', //进入完成页(做同款)
    //904是编辑页(影集编辑进入)
    //905是分享进入页
    clickMakeSame: '905001', //点击做同款

    //950+ debug日志
    requestFailDebug: '950001',
    requestErrorDebug: '950002',
    debugUserVideoFolder: '951001',
    debugShortVideoShare: '952001',

    /**
     * 片尾测试 106
     */
    tailVideoPlayed: '106001', //带片尾的视频播放
    tailVideoPlayedTail: '106002', //带片尾的视频播放了片尾
    videoSharedWithTail: '106003', //片尾测试的视频，分享的时候视频是带片尾的
    videoSharedWithoutTail: '106004', //片尾测试的视频，分享的时候视频是没有带片尾的
    VideoEditMusicOperation: '100001',
    withoutTailVideoPlayed: '106005', //没有带片尾的视频播放
    videoPlayEndWithoutTail: '106006', //没有带片尾的视频播放完成
    videoPlayEndWithTail: '106007', //带片尾的视频播放完成
    tailVideoSharedPre: '106008', //带片尾视频片尾前被分享
    tailVideoSharedLast: '106009', //看了片尾并分享
    tailVideoSharedEnd: '106010', //带片尾视频播完片尾后被分享

    /**
     * 视频封面加载 - 107
     */
    videoCoverLoad: '107001', //封面加载完成
    videoCoverLoadError: '107002', //封面加载失败

    /**
     * 播放时长 - 108
     */
    videoPlayDuration: '108001', //视频暂停，停止播放的时长上报

    /**
     * 用户活跃 - 109
     */
    userActiveAction: '109001', //用户活跃日志

    /**
     * 首页跳转 - 110
     */
    categoryPrepare2Route: '110001', //首页启动准备跳转
    videoShareRouteSuccess: '110002', //首页跳转分享页成功
    otherShareRouteSuccess: '110003', //首页跳转其他分享页成功
    videoShareRouteFail: '110004', //首页跳转分享页失败
    otherShareRouteFail: '110005', //首页跳转其他分享页失败
    videoShareLaunchFromRouter: '110006', //分享页启动从首页跳转
    videoShareLaunchFromApp: '110007', //分享页启动从直接启动页面
    videoShareOpenByDirect: '110008', //直接打开视频分享页
    videoShareOpenByRoute: '110009', //首页跳转打开视频分享页
    /**
     * 关注 - 301
     */
    hasFollowVideo: 301001, //有关注视频
    withoutFollowVideo: 301002, //无关注视频
    followPageComAttached: 301003, //关注页启动

    /**
     * feed流页面
     */
    inVideoTab: 302001, // 视频tab
    inCommentTab: 302002, // 评论tab
    inShareSummaryTab: 302003, // 分享空间tab

    /**
     * 滑动引导
     */
    haveShowScrollGuide: 110100, //显示了滑动引导
    withoutScrollGuide: 110101, //没显示滑动引导
    haveShowOldScrollGuide: 110102, //显示了老的滑动引导
    /**
     * 活动事件
     */
    enterNativeActivity: 120001, //进入活动页面

    /**
     * 广告
     */
    adLoad: 130001, // 广告组加载成功
    adError: 130002, // 广告组件加载失败
    adClose: 130003, // 广告组件关闭
    adPlay: 130004, // 广告组件播放
    adView: '130009', // 广告组件曝光
    adAttached: '130010', // 广告组件加入页面

    interstitialAdLoadSuccess: '130005', //插屏广告加载成功
    interstitialAdLoadError: '130006', //插屏广告加载失败
    interstitialAdShowSuccess: '130007', //插屏广告显示成功
    interstitialAdShowError: '130008', //插屏广告显示失败
    interstitialAdCreate: '130011', // 创建插屏广告

    test1: '1301200',
    test2: '1300013',
    test3: '1300014',

    //平台广告
    pfAdStartValidate: '140001', //开始校验广告
    pfAdValidateSuccess: '140002', //校验成功上报
    pfAdValidateFail: '140003', //校验失败上报

    //站外消息
    offSiteNews: '160000',
    //消息H5漏斗事件
    msgH5: '150000',
    //上传Banner点击
    clickPostBanner: 170001,
    //首页模块上报
    homeBanner: 180001,
    homeIcon: 180002,
    //内存告警
    memoryWarning: 190000,

    // 点击app下载分享卡片
    appDownloadCardClick: 230000,

    downloadModalShow: 240000, //下载弹窗显示
    downloadModalClick: 240001, //点击下载弹窗下载按钮

    hoverDownloadBtn: 240002, //悬浮下载app按钮
    shareWindow: 240003, //悬浮下载app按钮

    buttonClick: 300000, //按钮点击相关上报
    buttonView: 300001, //按钮曝光
    buttonSlide: 300011, // 广告滑动事件

    windowView: 300002, //弹窗曝光
    pageView: 300003, //页面曝光
    pageBack: 300004, //复制成功
    windowClose: 300005, //弹窗曝光
    sharePopupAVlogCode: 330001,
    sharePopupBVlogCode: 330002,
    downAppGuideShow: 330011,
    downAppGuideClick: 330012,
    playActivityWindowShow: 330021,
    playActivityWindowClick: 330022,

    showGuideClipToolsPanel: 400000,

    downAppGuideBtn: 400011,
    downVideoFlow: 500001,
    // 分享页页面
    sharePageEventReport: '220221',
    // 详情页页面
    detailPageEventReport: '22022220',
    // 详情页接口成功
    detailRequestSuccessEventReport: '22022221',
    // 详情页接口失败
    detailRequestErrorEventReport: '22022222',

    videoStepTime: 520000,
    videoClickEvent: 299001,

    // 请求超时
    adPreLimt: 510400,
    // 获取设备信息
    sysInfoSuc: 510410,
    sysInfoErr: 510411,
    sysInfoExp: 510412,
    sysInfoSucAsyn: 510413,

    // 性能数据上报
    appLaunch: 510420,
    router: 510421,
    scriptInject: 510422,
    firstRender: 510423,


    // home页跳转来源
    homeFrom: 510432,
    // 复制广告口令
    copy_ad_success: 510440,
    copy_ad_fail: 510441,
    copy_ad_event: 510442,
    clipboard_ad_success: 510443,

    /*
        小程序关闭爬虫用户入口 520开头
    */
    categoryClick: 520010, // 首页点击用户头像或昵称
    followClick: 520021, // 关注页-已关注
    unFollowClick: 520022, // 关注页-未关注
    vHeadClick: 520031, // 视频列表页-头部
    vContentClick: 520032, // 视频列表页-相关推荐
    vCommentlistClick: 520033, // 视频列表页-评论列表
    vCommentDHeadClick: 520034, // 视频列表页-评论详情-个人
    vCommentDOthersClick: 520035, // 视频列表页-评论详情-其他回复
    apperciateClick: 520036, // 赞赏页面
    vDetailClick: 520040, // 沉浸式播放页

    miniappToWechatDialog: 510433,
    autoPlayVideoEventId: 510434,


    selfAd_backBtn_Click: 510450,
    selfAd_playBtn_Click: 510451,

    errorScript: 540001,
    errorReject: 540002,
    errorPageNotFound: 540003,

}

export const logType = {
    abTest: 10, //abtestinfo-log
    funnel: 20, //operation-log
    independent: 30, //simpleevent-log
    debug: 40, //frontend-log
    playAction: 50, //playaction-log
    useractiveLog: 60, //useractive-log
    productionLog: 110, //video-production-log
    adActionLog: 120, //ad-action-log
    adActionNewLog: 170, //ad-new-action-log
    apiMonitorLog: 180, //api-monitor : we-data
    performanceMonitorLog: 190, //performance-log : we-data
    errorLog: 27, //error-log
}