import Taro from '@tarojs/taro'
import { uploadLogFromFrontendUrl } from '@/http/api'
import { wrapData, createBaseInfoToFetchData } from '@/http/index'
import { logType } from './const'

const { useractiveLog } = logType

// user action log
export function userActivie(eventId, eventData = {}, extParams = {}) {
    if (!eventId)
        return

    paramsPretreatmentAndRequest(useractiveLog, eventId, eventData, extParams)
}

function paramsPretreatmentAndRequest(logType, eventId, eventData, extParams) {
    const { pageSource = '' } = eventData

    const res: any = wrapData({
        logType,
        eventId,
        eventData: JSON.stringify(eventData),
        pageSource,
        extParams: JSON.stringify(wrapObject(extParams))
    })

    uploadLogFromFrontend(res)
}

function uploadLogFromFrontend(params) {
    const data = createBaseInfoToFetchData(params)
    request(uploadLogFromFrontendUrl, data, {
        headers: {
            'content-type': 'application/json',
        },
        method: 'POST'
    })
}

function request(url, data, config) {
    Taro.request({
        url,
        data,
        ...config
    })
}

function wrapObject(extParams) {
    if (typeDecide(extParams, 'Object')) {
        return extParams
    }
    return { defaultExt: extParams }
}

/**
* 检测对象类型
*/
function typeDecide(o, type) {
    return Object.prototype.toString.call(o) === `[object ${type}]`
}