import { useMemo, useState } from 'react'
import type CustomTabBar from '../../custom-tab-bar'
import { View, Image, Button } from '@tarojs/components'
import Taro, { useLoad, useDidShow } from '@tarojs/taro'
import Route from '@/class/Route'


import './home.less'

export default function Home() {
    const page = useMemo(() => Taro.getCurrentInstance().page, [])
    const [userInfo, setUserInfo] = useState({ avatarUrl: '', nickName: '' })

    useLoad(() => {
    })

    useDidShow(() => {
        const tabbar = Taro.getTabBar<CustomTabBar>(page)
        tabbar?.setSelected(1)
        
        setUserInfo(Taro.$global.get('userInfo') || {})

    })

    function editInfo() {
        const route = new Route()
        route.push({
            url: '/subPackages/my/edit/edit',
            query: {
                userInfo: JSON.stringify(userInfo)
            }
        })
    }

    return (
        <View className='home-page'>
            <View className='head-bg'>
                <View className='baseInfo'>
                    <Image src={userInfo.avatarUrl}></Image>
                    <View className='nickName'>{userInfo.nickName}</View>
                    <View className='edit-btn' onClick={editInfo}>编辑资料</View>
                </View>

            </View>
        </View>
    )
}
