/*
 * @Author: harry
 * @Date: 2024-02-07 19:22:58
 * @LastEditors: harry
 * @LastEditTime: 2024-02-22 19:35:20
 * @FilePath: /pq-video-mp/src/subPackages/my/edit/edit.tsx
 * @Description: 
 */
import { useState } from 'react'
import Taro, { useDidShow } from '@tarojs/taro'
import { View, Image } from "@tarojs/components"
import { getHomepageHead } from '@/http/api'
import Navbar from '@/components/Navbar'
import Route from '@/class/Route'
import './edit.less'

function Edit() {
    const [homepageHead, setHomepageHead] = useState<any>({})

    function setUserInfo(type) {
        const route = new Route()

        route.push({
            url: '/subPackages/my/edit/editUpload',
            query: {
                avatarUrl: encodeURIComponent(homepageHead.avatarUrl),
                nickName: homepageHead.nickName,
                type
            }
        })
    }

    useDidShow(() => {
        fetchHomepageHead()
    })

    function fetchHomepageHead() {
        const userInfo = Taro.getStorageSync('$USER_INFO')
        const { uid } = userInfo || {}

        Taro.$http.post(getHomepageHead, {
            targetUid: uid
        }).then((res: RequestType) => {
            const { code, data } = res
            if (code !== 0)
                return

            setHomepageHead(data)
            Object.assign(userInfo, data)
            Taro.$global.set('userInfo', userInfo)
            Taro.setStorageSync('$USER_INFO', userInfo)
        })
    }

    return (
        <View className='user-page'>
            <Navbar title="编辑个人资料" status navigation />
            <View className='avatar-setting' onClick={() => setUserInfo('avatar')}>
                <View className='avatar'>头像</View>
                <View className='right'>
                    <Image src={homepageHead.avatarUrl} />
                    <View className='arrow'></View>
                </View>
            </View>
            <View className='nickname-setting' onClick={() => setUserInfo('nickname')}>
                <View className='nickname'>昵称</View>
                <View className='right'>
                    {homepageHead.nickName}
                    <View className='arrow'></View>
                </View>
            </View>
        </View>
    )
}

export default Edit
